// shaders/passthrough.fs
#version 330
 
in vec2 fragTexCoord;
uniform sampler2D texture0;
out vec4 finalColor;

float n1(vec2 uv) {
  return(fract(34543.*sin(4543*uv.y)*uv.x));
}
 
void main() {

  finalColor = vec4(
    vec3(
    texture(
      texture0, 
      fragTexCoord * 1.0
    ).r,
    texture(
      texture0, 
      fragTexCoord * 1.003
    ).g,
    texture(
      texture0, 
      fragTexCoord * 1.006
    ).b
  ) - n1(fragTexCoord)*0.04
  ,1.0);
}
